#ifndef SESSIONMANAGER_H_INCLUDED
#define SESSIONMANAGER_H_INCLUDED

#include "oscarsession.h"

#define WM_INITULONGS         WM_USER + 100
#define WM_SESSIONCLOSED      WM_USER + 101
#define WM_ERRORMESSAGE       WM_USER + 102
#define WM_WINPPCHANGED       WM_USER + 103
#define WM_GIMMEDROPCOPYDATA  WM_USER + 104
#define WM_CREATEBUDDYLIST    WM_USER + 105
#define WM_ADDBUDDY           WM_USER + 106
#define WM_REGISTERWAKEUPSEM  WM_USER + 107
#define WM_BUDDYSTATUS        WM_USER + 108
#define WM_IMRECEIVED         WM_USER + 109
#define WM_NOTIDLE            WM_USER + 110
#define WM_USERBOOTED         WM_USER + 111

typedef struct
{
  char *userName, *password;
  HWND managerWin;
  MINIRECORDCORE *record;
  OscarSession *theSession;
  ULONG threadID;
  sessionThreadSettings settings;
} sessionThreadInfo;

typedef struct
{
  ULONG *numItemsPtr;
  sessionThreadInfo **threadInfoPtr;
  HMTX mutexSem;
  HINI iniFile;
  sessionThreadSettings *globalSettings;
} sessionManagerULONGs;

typedef struct
{
  char *userName, *password;
} sessionEditorInit;

typedef struct
{
  HEV wakeupSem;
  HWND buddyListWin;
  UserInformation *userInfo;
  OscarSession *theSession;
} buddyListCreateData;

class SessionManager
{
private:
  HAB hab;
  HWND managerWinFrame, managerWinClient;
  HMTX infoMutex;

public:
  SessionManager();
  ~SessionManager();
};

#endif

